curl --request POST \
--url https://api.coval.dev/v1/agents/{agent_id}/mutations \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"display_name": "GPT-4 Fast VAD",
"config_overrides": {
"voice": "nova",
"vad_stop_secs": 0.3
}
}
'{
"mutation": {
"id": "01ARZ3NDEKTSV4RRFFQ69G5FAX",
"created_at": "2025-10-16T09:00:00Z",
"created_by": "01J000000000000000000000001",
"updated_at": null,
"updated_by": null,
"agent_id": "gk3jK9mPq2xRt5vW8yZaBc",
"display_name": "GPT-4 Fast VAD",
"description": "",
"config_overrides": {
"voice": "nova",
"vad_stop_secs": 0.3
},
"parameter_values": {
"voice": "nova",
"vad_stop_secs": "0.3"
},
"create_time": "2025-10-16T09:00:00Z",
"update_time": null
}
}Create mutation
Create a new configuration mutation for an agent.
curl --request POST \
--url https://api.coval.dev/v1/agents/{agent_id}/mutations \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"display_name": "GPT-4 Fast VAD",
"config_overrides": {
"voice": "nova",
"vad_stop_secs": 0.3
}
}
'{
"mutation": {
"id": "01ARZ3NDEKTSV4RRFFQ69G5FAX",
"created_at": "2025-10-16T09:00:00Z",
"created_by": "01J000000000000000000000001",
"updated_at": null,
"updated_by": null,
"agent_id": "gk3jK9mPq2xRt5vW8yZaBc",
"display_name": "GPT-4 Fast VAD",
"description": "",
"config_overrides": {
"voice": "nova",
"vad_stop_secs": 0.3
},
"parameter_values": {
"voice": "nova",
"vad_stop_secs": "0.3"
},
"create_time": "2025-10-16T09:00:00Z",
"update_time": null
}
}Authorizations
API key for authentication
Headers
Workspace that scopes this operation. When omitted, the organization's active default workspace is used when one can be resolved.
1 - 26Path Parameters
Parent agent ID (22-character ShortUUID)
^[A-Za-z0-9]{22}$Body
Human-readable mutation name (must be unique per agent among active mutations)
1 - 200"GPT-4 Fast VAD"
Optional description of the mutation's purpose
2000"Testing faster VAD settings with GPT-4"
Configuration delta to merge with parent agent at runtime. Keys must exist on parent agent config. Max 10KB.
{ "voice": "nova", "vad_stop_secs": 0.3 }
Flattened key-value pairs for display purposes. If not provided, auto-derived from config_overrides.
Show child attributes
Show child attributes
{ "voice": "nova", "vad_stop_secs": "0.3" }
Response
Mutation created successfully
Agent mutation resource representing a configuration variant.
Show child attributes
Show child attributes
Was this page helpful?